summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2016-10-23 00:17:16 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2016-10-30 16:36:20 +0000
commit69d9da0c29fbc942a406d2dfad4f8616d67888bf (patch)
tree0b797b54f93bb426417d6ce724e86ad2e84ea676 /tests
parenta587c7ec22c58a9ea39f95c4054f8f7e4ff1d68c (diff)
Test suite: orig-include-exclude: Tests orig auto-inclusion/exclusion
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/tests/orig-include-exclude45
1 files changed, 45 insertions, 0 deletions
diff --git a/tests/tests/orig-include-exclude b/tests/tests/orig-include-exclude
new file mode 100755
index 0000000..12478f3
--- /dev/null
+++ b/tests/tests/orig-include-exclude
@@ -0,0 +1,45 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-tstunt-parsechangelog
+
+t-archive example 1.0-1
+t-git-none
+
+t-dgit clone $p
+
+for o in orig orig-docs; do
+ cp ${p}_{1.0,1.1}.${o}.tar.gz
+done
+
+cd $p
+
+v=1.0-2
+t-commit $v $v
+t-dgit --ch:-sa build
+
+grep orig ../${p}_${v}_*.changes
+
+t-dgit --ch:-sa push
+
+# check that dgit stripped out the orig update
+find $tmp/mirror -name '*orig*' -ls >../before
+t-archive-process-incoming sid
+find $tmp/mirror -name '*orig*' -ls >../after
+diff -u ../before ../after
+
+t-commit 'Some update' 1.1-1.2
+t-dgit --ch:-sd build
+t-dgit --ch:-sd push
+
+t-archive-process-incoming sid
+
+cd ..
+mkdir get
+cd get
+
+t-dgit clone $p
+# ^ checks that all the origs are there, ie that dgit added the origs
+
+echo done.